# Class Line

#### Hierarchy

- Object3D
  - Line

- Defined in lib/line/index.ts:17

##### Index

### Constructors

constructor

### Properties

line
needsRender
points

### Accessors

version

### Methods

getPoints
setMaterial
setPoints
setResolution

## Constructors

### constructor

- new Line(vector0?: Vector3, vector1?: Vector3): Line

  #### Parameters

  - vector0: Vector3 = ...
  - vector1: Vector3 = ...

  #### Returns Line

  Overrides THREE.Object3D.constructor

  - Defined in lib/line/index.ts:29

## Properties

### line

line: THREE_Line2

- Defined in lib/line/index.ts:24

### needsRender

needsRender: boolean

- Defined in lib/line/index.ts:27

### points

points: Points<BufferGeometry>

- Defined in lib/line/index.ts:25

## Accessors

### `Static` version

- get version(): string

  #### Returns string

  - Defined in lib/line/index.ts:19

## Methods

### getPoints

- getPoints(): Vector3[]

  #### Returns Vector3[]

  - Defined in lib/line/index.ts:67

### setMaterial

- setMaterial(map: LineMaterialParameters): void

  #### Parameters

  - map: LineMaterialParameters

  #### Returns void

  - Defined in lib/line/index.ts:75

### setPoints

- setPoints(vector0: Vector3, vector1: Vector3): void

  #### Parameters

  - vector0: Vector3
  - vector1: Vector3

  #### Returns void

  - Defined in lib/line/index.ts:59

### setResolution

- setResolution(width: number, height: number): void

  #### Parameters

  - width: number
  - height: number

  #### Returns void

  - Defined in lib/line/index.ts:97